import convertir_point_median as cpm


def test_answer():
    # point

    assert cpm.convertir_point_median("invité.e") == "invité·e"
    assert cpm.convertir_point_median("invité.es") == "invité·es"
    assert cpm.convertir_point_median("candidat.e") == "candidat·e"
    assert cpm.convertir_point_median(
        "Conseiller.ère") == "Conseiller·ère"
    assert cpm.convertir_point_median(
        "Conseillers.ères") == "Conseillers·ères"
    assert cpm.convertir_point_median(
        "directeur.trice") == "directeur·trice"
    assert cpm.convertir_point_median(
        "directeur.rice") == "directeur·rice"
    assert cpm.convertir_point_median(
        "directeur.trices") == "directeur·trices"
    assert cpm.convertir_point_median(
        "directeurs.trices") == "directeurs·trices"
    assert cpm.convertir_point_median("soudeur.euse") == "soudeur·euse"
    assert cpm.convertir_point_median("soudeur.euses") == "soudeur·euses"
    assert cpm.convertir_point_median(
        "soudeurs.euses") == "soudeurs·euses"
    assert cpm.convertir_point_median("tou.te.s") == "tou·te·s"
    assert cpm.convertir_point_median("le.la") == "le·la"
    assert cpm.convertir_point_median(
        "nouvel.le employé.e") == "nouvel·le employé·e"
    assert cpm.convertir_point_median("égaux.ales") == "égaux·ales"
    assert cpm.convertir_point_median("acteur.ice.s") == "acteur·ice·s"
    assert cpm.convertir_point_median("cet.te") == "cet·te"
    assert cpm.convertir_point_median("praticien.nes") == "praticien·nes"
    assert cpm.convertir_point_median("hôte.sse") == "hôte·sse"
    assert cpm.convertir_point_median("chef.fe") == "chef·fe"
    assert cpm.convertir_point_median("praticien.ne.s") == "praticien·ne·s"
    assert cpm.convertir_point_median("hôte.sses") == "hôte·sses"
    assert cpm.convertir_point_median("chef.fe.s") == "chef·fe·s"
    assert cpm.convertir_point_median("ambassadeur.drice") == "ambassadeur·drice"

    # barre oblique

    assert cpm.convertir_point_median("invité/e") == "invité·e"
    assert cpm.convertir_point_median("invité/es") == "invité·es"
    assert cpm.convertir_point_median("candidat/e") == "candidat·e"
    assert cpm.convertir_point_median(
        "Conseiller/ère") == "Conseiller·ère"
    assert cpm.convertir_point_median(
        "Conseillers/ères") == "Conseillers·ères"
    assert cpm.convertir_point_median(
        "directeur/trice") == "directeur·trice"
    assert cpm.convertir_point_median(
        "directeur/rice") == "directeur·rice"
    assert cpm.convertir_point_median(
        "directeur/trices") == "directeur·trices"
    assert cpm.convertir_point_median(
        "directeurs/trices") == "directeurs·trices"
    assert cpm.convertir_point_median("soudeur/euse") == "soudeur·euse"
    assert cpm.convertir_point_median("soudeur/euses") == "soudeur·euses"
    assert cpm.convertir_point_median(
        "soudeurs/euses") == "soudeurs·euses"
    assert cpm.convertir_point_median("tou/te/s") == "tou·te·s"
    assert cpm.convertir_point_median("le/la") == "le·la"
    assert cpm.convertir_point_median(
        "nouvel/le employé/e") == "nouvel·le employé·e"
    assert cpm.convertir_point_median("égaux/ales") == "égaux·ales"
    assert cpm.convertir_point_median("acteur/ice/s") == "acteur·ice·s"
    assert cpm.convertir_point_median("cet/te") == "cet·te"
    assert cpm.convertir_point_median("praticien/nes") == "praticien·nes"
    assert cpm.convertir_point_median("hôte/sse") == "hôte·sse"
    assert cpm.convertir_point_median("chef/fe") == "chef·fe"
    assert cpm.convertir_point_median("praticien/ne/s") == "praticien·ne·s"
    assert cpm.convertir_point_median("hôte/sses") == "hôte·sses"
    assert cpm.convertir_point_median("chef/fe/s") == "chef·fe·s"
    assert cpm.convertir_point_median("ambassadeur/drice") == "ambassadeur·drice"

    # tiret

    assert cpm.convertir_point_median("invité-e") == "invité·e"
    assert cpm.convertir_point_median("invité-es") == "invité·es"
    assert cpm.convertir_point_median("candidat-e") == "candidat·e"
    assert cpm.convertir_point_median(
        "Conseiller-ère") == "Conseiller·ère"
    assert cpm.convertir_point_median(
        "Conseillers-ères") == "Conseillers·ères"
    assert cpm.convertir_point_median(
        "directeur-trice") == "directeur·trice"
    assert cpm.convertir_point_median(
        "directeur-rice") == "directeur·rice"
    assert cpm.convertir_point_median(
        "directeur-trices") == "directeur·trices"
    assert cpm.convertir_point_median(
        "directeurs-trices") == "directeurs·trices"
    assert cpm.convertir_point_median("soudeur-euse") == "soudeur·euse"
    assert cpm.convertir_point_median("soudeur-euses") == "soudeur·euses"
    assert cpm.convertir_point_median(
        "soudeurs-euses") == "soudeurs·euses"
    assert cpm.convertir_point_median("tou-te-s") == "tou·te·s"
    assert cpm.convertir_point_median("le-la") == "le·la"
    assert cpm.convertir_point_median(
        "nouvel-le employé-e") == "nouvel·le employé·e"
    assert cpm.convertir_point_median("égaux-ales") == "égaux·ales"
    assert cpm.convertir_point_median("acteur-ice-s") == "acteur·ice·s"
    assert cpm.convertir_point_median(
        "Hey salut mon ami-e. Bonjour à toi.") == "Hey salut mon ami·e. Bonjour à toi."
    assert cpm.convertir_point_median("cet-te") == "cet·te"
    assert cpm.convertir_point_median("praticien-nes") == "praticien·nes"
    assert cpm.convertir_point_median("hôte-sse") == "hôte·sse"
    assert cpm.convertir_point_median("chef-fe") == "chef·fe"
    assert cpm.convertir_point_median("praticien-ne-s") == "praticien·ne·s"
    assert cpm.convertir_point_median("hôte-sses") == "hôte·sses"
    assert cpm.convertir_point_median("chef-fe-s") == "chef·fe·s"
    assert cpm.convertir_point_median("ambassadeur-drice") == "ambassadeur·drice"

    # parenthèses (pas de symbole dans la parenthèse)

    assert cpm.convertir_point_median("invité(e)") == "invité·e"
    assert cpm.convertir_point_median("invité(es)") == "invité·es"
    assert cpm.convertir_point_median("candidat(e)") == "candidat·e"
    assert cpm.convertir_point_median(
        "Conseiller(ère)") == "Conseiller·ère"
    assert cpm.convertir_point_median(
        "Conseillers(ères)") == "Conseillers·ères"
    assert cpm.convertir_point_median(
        "directeur(trice)") == "directeur·trice"
    assert cpm.convertir_point_median(
        "directeur(rice)") == "directeur·rice"
    assert cpm.convertir_point_median(
        "directeur(trices)") == "directeur·trices"
    assert cpm.convertir_point_median(
        "directeurs(trices)") == "directeurs·trices"
    assert cpm.convertir_point_median("soudeur(euse)") == "soudeur·euse"
    assert cpm.convertir_point_median("soudeur(euses)") == "soudeur·euses"
    assert cpm.convertir_point_median(
        "soudeurs(euses)") == "soudeurs·euses"
    assert cpm.convertir_point_median("le(la)") == "le·la"
    assert cpm.convertir_point_median(
        "nouvel(le) employé(e)") == "nouvel·le employé·e"
    assert cpm.convertir_point_median("égaux(ales)") == "égaux·ales"
    assert cpm.convertir_point_median(
        "Hey salut mon ami(e). Bonjour à toi.") == "Hey salut mon ami·e. Bonjour à toi."
    assert cpm.convertir_point_median("cet(te)") == "cet·te"
    assert cpm.convertir_point_median("praticien(nes)") == "praticien·nes"
    assert cpm.convertir_point_median("hôte(sse)") == "hôte·sse"
    assert cpm.convertir_point_median("chef(fe)") == "chef·fe"
    assert cpm.convertir_point_median("hôte(sses)") == "hôte·sses"
    assert cpm.convertir_point_median("ambassadeur(drice)") == "ambassadeur·drice"
